# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "exocore-core"
version = "0.1.4"
authors = ["Andre-Philippe Paquet <appaquet@gmail.com>"]
description = "Core of Exocore (Distributed applications framework)"
keywords = ["networking", "mobile", "webassembly", "storage", "database"]
categories = ["database-implementations", "command-line-interface", "wasm", "web-programming"]
license = "Apache-2.0"
repository = "https://github.com/appaquet/exocore"

[[bench]]
name = "capnp_frame"
harness = false
[dependencies.anyhow]
version = "1.0"

[dependencies.bs58]
version = "0.4"

[dependencies.byteorder]
version = "1.3"

[dependencies.bytes]
version = "1.0"

[dependencies.chrono]
version = "0.4"

[dependencies.exocore-protos]
version = "0.1.4"

[dependencies.futures]
version = "0.3"
features = ["async-await"]

[dependencies.libp2p]
version = "0.35"
features = ["noise"]
default-features = false

[dependencies.log]
version = "0.4"

[dependencies.log4rs]
version = "1.0"
optional = true

[dependencies.multihash]
version = "0.13"

[dependencies.petname]
version = "1.1"

[dependencies.rand]
version = "0.8"

[dependencies.serde]
version = "1.0"

[dependencies.serde_derive]
version = "1.0"

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_yaml]
version = "0.8"

[dependencies.thiserror]
version = "1.0"

[dependencies.url]
version = "2.2"

[dependencies.uuid]
version = "0.8"
features = ["v4", "wasm-bindgen"]

[dependencies.wasm-timer]
version = "0.2"
[dev-dependencies.criterion_bencher_compat]
version = "0.3"

[dev-dependencies.log4rs]
version = "1.0"

[dev-dependencies.tempfile]
version = "3.2"

[features]
logger = ["log4rs"]
runtime = ["tokio/io-util", "tokio/io-std", "tokio/net", "tokio/rt", "tokio/rt-multi-thread", "tokio/sync", "tokio/time", "tokio/macros"]
tests-utils = ["runtime", "logger"]
[target."cfg(not(target_arch = \"wasm32\"))".dependencies.tokio]
version = "1.4"
features = ["rt"]
default-features = false
[target."cfg(target_arch = \"wasm32\")".dependencies.getrandom]
version = "0.2"
features = ["js"]

[target."cfg(target_arch = \"wasm32\")".dependencies.parking_lot]
version = "0.11"
features = ["wasm-bindgen"]

[target."cfg(target_arch = \"wasm32\")".dependencies.wasm-bindgen]
version = "0.2"

[target."cfg(target_arch = \"wasm32\")".dependencies.wasm-bindgen-futures]
version = "0.4"
